// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import ElementUI from 'element-ui'
import router from './router'
import {base} from '@/configue/base'
import {axios, serverName} from './configue/http'
import myCharts from '@/configue/myCharts.js'
import Vue2Editor from 'vue2-editor'
import '../theme/index.css'
import less from 'less'

Vue.use(less)

Vue.use(Vue2Editor)
Vue.use(myCharts)

Vue.use(ElementUI)
Vue.config.productionTip = false

Vue.prototype.$base = base
Vue.prototype.$bus = new Vue()
Vue.prototype.$http = axios
Vue.prototype.$serverName = serverName// 挂载到Vue实例上面
Vue.prototype.isTypeBySend = base.isTypeBySend
Vue.prototype.vLoading = {
  lock: true,
  text: 'Loading',
  spinner: 'el-icon-loading',
  background: 'rgba(0, 0, 0, 0.7)'
}

/* eslint-disable no-new */
window.$app = new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
})
